• Welcome
  • API Reference
Forecast
    Weather Forecastget
Precipitation Data
    Daily Precipitation DatagetHourly Precipitation DatagetMinutely Precipitation RategetLast N Hours Precipitation DatagetRecent Rain Eventget
Soil Data
    Daily Soil MoisturegetHourly Soil MoisturegetSoil TemperaturegetSnow Depthget
Atmospheric Data
    Air TemperaturegetSpecific HumiditygetRelative HumiditygetSurface PressuregetWind SpeedgetWind GustsgetWind DirectiongetCloud CovergetSolar Radiationget
Bulk Export
    Create Bulk Exportpost
Map Services
    Esri Image Server IntegrationgetMap Layer TilesgetQueryget
Embed Widgets
    Embeddable HTML UIget
Saved Locations
    List Saved LocationsgetSave a Locationpost
MCP Servers
    MCP ServerpostMCP Server (x402 Pay-per-use)post
Other endpoints
    MCP protected resource metadatagetMCP protected resource metadata for /mcpgetChatGPT plugin domain verificationgetRedirect to Dev PortalgetRedirect to new Dev PortalgetHourly Precipitation Data (x402)getMinutely Precipitation Rate (x402)getLast N Hours Precipitation Data (x402)getRecent Rain Event (x402)getDaily Soil Moisture (x402)getHourly Soil Moisture (x402)getHourly Soil Temperature 0-10cm (x402)getHourly Air Temperature (x402)getHourly Specific Humidity (x402)getHourly Relative Humidity (x402)getHourly Surface Pressure (x402)getHourly Wind Speed (x402)getHourly Wind Gust Speed (x402)getHourly Wind Direction (x402)getHourly Cloud Cover (x402)getHourly Solar Radiation (x402)getx402 (GET) via Orthogonalgetx402 (POST) via Orthogonalpost
Schemas
powered by Zuplo
Precipitation & Weather Data API
Precipitation & Weather Data API

Soil Data

Endpointhttps://api.precip.ai

Endpoints for soil moisture and temperature data


Daily Soil Moisture

GET
https://api.precip.ai
/api/v1/soil-moisture-daily

Daily soil moisture percentage relative to holding capacity at 0-10cm depth

Daily Soil Moisture › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-01
Default: 2025-06-01
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-30
Default: 2025-06-30
longitude
​string · required

Longitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Example: -122.42616
Default: -122.42616
latitude
​string · required

Latitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Example: 37.75750
Default: 37.75750
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​string · enum

Output format: geojson, json or csv

Enum values:
geojson
json
csv
Default: json

Daily Soil Moisture › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Daily Soil Moisture › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/soil-moisture-daily
curl --request GET \ --url 'https://api.precip.ai/api/v1/soil-moisture-daily?start=2025-06-01&end=2025-06-30&longitude=-122.42616&latitude=37.75750' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": { "days": [ { "soil_moisture": 30.101002, "startTime": "2025-02-12T12:00:00+0000" }, { "soil_moisture": 29.766, "startTime": "2025-02-13T12:00:00+0000" } ], "timeZoneId": "GMT" }, "geometry": { "type": "Point", "coordinates": [ -85.89186, 40.57694 ] } } ] }
json
application/json

Hourly Soil Moisture

GET
https://api.precip.ai
/api/v1/soil-moisture-hourly

Hourly soil moisture percentage relative to holding capacity at 0-10cm depth

Hourly Soil Moisture › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-01
Default: 2025-06-01
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-30
Default: 2025-06-30
longitude
​string · required

Longitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Example: -122.42616
Default: -122.42616
latitude
​string · required

Latitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Example: 37.75750
Default: 37.75750
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​string · enum

Output format: geojson, json or csv

Enum values:
geojson
json
csv
Default: json

Hourly Soil Moisture › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Hourly Soil Moisture › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/soil-moisture-hourly
curl --request GET \ --url 'https://api.precip.ai/api/v1/soil-moisture-hourly?start=2025-06-01&end=2025-06-30&longitude=-122.42616&latitude=37.75750' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": { "hours": [ { "soil_moisture": 27.42, "startTime": "2025-02-12T12:00:00+0000" }, { "soil_moisture": 27.58, "startTime": "2025-02-12T13:00:00+0000" } ], "timeZoneId": "GMT" }, "geometry": { "type": "Point", "coordinates": [ -85.89186, 40.57694 ] } } ] }
json
application/json

Soil Temperature

GET
https://api.precip.ai
/api/v1/temp-0-10cm-hourly

Hourly soil temperature data at 0-10cm depth in Celsius (°C)

Soil Temperature › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-01
Default: 2025-06-01
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-30
Default: 2025-06-30
longitude
​string · pattern: ^-?\d+(\.\d+)?(,-?\d… · required

Longitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Default: -122.42616
latitude
​string · pattern: ^-?\d+(\.\d+)?(,-?\d… · required

Latitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Default: 37.75750
timeZoneId
​string · pattern: ^[A-Za-z_]+/[A-Za-z_…

IANA timezone identifier for localizing timestamps

Default: America/Chicago
format
​string · enum

Output format: geojson, json or csv

Output format: geojson, json or csv

Enum values:
geojson
json
csv
Default: json

Soil Temperature › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Soil Temperature › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/temp-0-10cm-hourly
curl --request GET \ --url 'https://api.precip.ai/api/v1/temp-0-10cm-hourly?start=2025-06-01&end=2025-06-30&longitude=-122.42616&latitude=37.75750' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": { "hours": [ { "temp_0_10cm": 15.3, "startTime": "2025-01-04T00:00:00+0000" }, { "temp_0_10cm": 14.8, "startTime": "2025-01-04T01:00:00+0000" } ], "timeZoneId": "GMT" }, "geometry": { "type": "Point", "coordinates": [ -83.791929211, 42.378447032 ] } } ] }
json
application/json

Snow Depth

GET
https://api.precip.ai
/api/v1/snow-depth-daily

Daily snow depth data from SNODAS in millimeters (mm)

Snow Depth › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-01
Default: 2025-06-01
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2025-06-30
Default: 2025-06-30
longitude
​string · pattern: ^-?\d+(\.\d+)?(,-?\d… · required

Longitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Default: -122.42616
latitude
​string · pattern: ^-?\d+(\.\d+)?(,-?\d… · required

Latitude (WGS84). Personal API: one value. Commercial keys may pass a comma-separated list.

Default: 37.75750
timeZoneId
​string · pattern: ^[A-Za-z_]+/[A-Za-z_…

IANA timezone identifier for localizing timestamps

Default: America/Chicago
format
​string · enum

Output format: geojson, json or csv

Output format: geojson, json or csv

Enum values:
geojson
json
csv
Default: json

Snow Depth › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Snow Depth › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/snow-depth-daily
curl --request GET \ --url 'https://api.precip.ai/api/v1/snow-depth-daily?start=2025-06-01&end=2025-06-30&longitude=-122.42616&latitude=37.75750' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": { "days": [ { "snow-depth": 12.5, "startTime": "2025-01-04T12:00:00+0000" }, { "snow-depth": 13.2, "startTime": "2025-01-05T12:00:00+0000" } ], "timeZoneId": "GMT" }, "geometry": { "type": "Point", "coordinates": [ -83.791929211, 42.378447032 ] } } ] }
json
application/json

Precipitation DataAtmospheric Data